GET /api/v3/meter/{meterId}/rate

Retrieves all rates for a particular meter

GetMeterRatesV3 Permissions: Meters (View)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Path Parameters

Name Description Type Required
meterId The meter identifier for which rate values are being retrieved integer (int32) Required

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

Array of:

MeterRateResponse
Property Description Type
account MeterAccountChild
MeterAccountChild properties
Property Description Type
accountCode The code of the MeterAccount for this MeterAccount meter string
accountGeneralLedger GeneralLedgerChild
GeneralLedgerChild properties
Property Description Type
generalLedgerCode string
generalLedgerId integer (int32)
generalLedgerInfo string
accountId The MeterAccount identifier for this MeterAccount meter integer (int32)
accountInfo The info of the MeterAccount for this MeterAccount meter string
accountMeterId The MeterAccount meter identifier integer (int32)
active Indicates whether the Account is active or inactive boolean
dataAccessReleaseId The data access release identifier for this MeterAccount meter relationship, null if there is no release integer (int32)
endDate The ending date and time for this MeterAccount meter relationship string (date-time)
hasCalculatedMeter Indicates whether the Account has a child calculated meter boolean
hasSplitChildMeter Indicates whether the Account has a child split meter boolean
hasSplitParentMeter Indicates whether the Account is a recipient of a split boolean
hasSubAccount Indicates whether the Account has a sub-account boolean
isSubAccount Indicates whether the Account is a sub-account boolean
meterGeneralLedger GeneralLedgerChild
GeneralLedgerChild properties
Property Description Type
generalLedgerCode string
generalLedgerId integer (int32)
generalLedgerInfo string
startDate The beginning date and time for this MeterAccount meter relationship string (date-time)
vendor VendorChild
VendorChild properties
Property Description Type
vendorCode The vendor code string
vendorId The vendor identifier integer (int32)
vendorInfo The vendor info string
vendorType VendorTypeChild
VendorTypeChild properties
Property Description Type
vendorTypeCode The vendor type code string
vendorTypeId The vendor type identifier integer (int32)
commodity CommodityChild
CommodityChild properties
Property Description Type
commodityCode The commodity code Required (defined) string
commodityIcon Icon
Icon properties
Property Description Type
code The icon code Must be between 0 and 64 characters Required when Color is set string
color The icon color Must be between 0 and 32 characters Required when Code is set string
commodityId The commodity identifier Required (defined) integer (int32)
commodityInfo The commodity info Required (defined) string
endDate The end date for the rate on the account meter string (date-time)
name The rate name string
note The rate’s note string
rateCode The rate code string
rateId The meter tariff identifier integer (int32)
startDate The start date for the rate on the account meter string (date-time)
Example Response application/json
[
  {    "account": {      "accountCode": "string",      "accountGeneralLedger": {},      "accountId": 1,      "accountInfo": "string",      "accountMeterId": 1,      "active": false,      "dataAccessReleaseId": 1,      "endDate": "2026-03-30",      "hasCalculatedMeter": false,      "hasSplitChildMeter": false,      "hasSplitParentMeter": false,      "hasSubAccount": false,      "isSubAccount": false,      "meterGeneralLedger": {},      "startDate": "2026-03-30",      "vendor": {},      "vendorType": {}
    },    "commodity": {      "commodityCode": "string",      "commodityIcon": {},      "commodityId": 1,      "commodityInfo": "string"
    },    "endDate": "2026-03-30",    "name": "string",    "note": "string",    "rateCode": "string",    "rateId": 1,    "startDate": "2026-03-30"
  }
]